YouTube Scraping

YouTube Scraping Examples

#Request

curl -X POST /v1/youtube \
  -H "Authorization: Bearer your-token" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"
  }'

#Example Response

{
  "response": {
    "title": "Video title",
    "description": "Video description",
    "view_count": "123,456 views",
    "like_count": "12K",
    "publish_date": "Jan 1, 2026",
    "relative_date": "2 weeks ago",
    "hashtags": ["#laravel", "#api"],
    "chapters": [
      {
        "title": "Intro",
        "url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ&t=0"
      }
    ],
    "thumbnail_url": "https://i.ytimg.com/vi/dQw4w9WgXcQ/maxresdefault.jpg",
    "author": "Channel Name",
    "channel_id": "UC123",
    "subscriber_count": "10K subscribers"
  }
}

#Notes

  • invalid URL format returns 422
  • if the page cannot be fetched or parsed, the API returns 400